{
  description = "A flake for developing in a clojure environment with vscode";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-24.11";
  };

  outputs = { self , nixpkgs, ... }:
  let system = "x86_64-linux"; in
  {
    devShells."${system}".default =
    let
      pkgs = import nixpkgs {
        inherit system;
      };
    in
    pkgs.mkShell {
      packages = with pkgs; [
        clojure
        clojure-lsp
        leiningen
        vscodium
        (vscode-with-extensions.override {
          vscode = vscodium;
          vscodeExtensions = pkgs.vscode-utils.extensionsFromVscodeMarketplace [
            {
              name = "calva";
              publisher = "betterthantomorrow";
              version = "2.0.486";
              sha256sum = "sha256-pL+OgJvIK5eqE5Kr/wDeJ+2BGUT9Uj42coWSHtbPolk=";
            }
          ];
        })
      ];
    };
  };
}
